LLVM: lldb::SBBlock Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBBlock Class Reference

`#include <SBBlock.h>`

## Public Member Functions
| SBBlock ()
| SBBlock (const lldb::SBBlock &rhs)
| ~SBBlock ()
const lldb::SBBlock & | operator= (const lldb::SBBlock &rhs)
bool | IsInlined () const
bool | IsValid () const
const char * | GetInlinedName () const
lldb::SBFileSpec | GetInlinedCallSiteFile () const
uint32_t | GetInlinedCallSiteLine () const
uint32_t | GetInlinedCallSiteColumn () const
lldb::SBBlock | GetParent ()
lldb::SBBlock | GetSibling ()
lldb::SBBlock | GetFirstChild ()
uint32_t | GetNumRanges ()
lldb::SBAddress | GetRangeStartAddress (uint32_t idx)
lldb::SBAddress | GetRangeEndAddress (uint32_t idx)
uint32_t | GetRangeIndexForBlockAddress (lldb::SBAddress block_addr)
lldb::SBValueList | GetVariables (lldb::SBFrame &frame, bool arguments, bool locals, bool statics, lldb::DynamicValueType use_dynamic)
lldb::SBValueList | GetVariables (lldb::SBTarget &target, bool arguments, bool locals, bool statics)
lldb::SBBlock | GetContainingInlinedBlock ()
bool | GetDescription (lldb::SBStream &description)

## Friends
class | SBAddress
class | SBFrame
class | SBFunction
class | SBSymbolContext

## Detailed Description

Definition at line 20 of file SBBlock.h.

## Constructor & Destructor Documentation

lldb::SBBlock::SBBlock | ( |  | ) |

lldb::SBBlock::SBBlock | ( | const lldb::SBBlock & | rhs | ) |

lldb::SBBlock::~SBBlock | ( |  | ) |

## Member Function Documentation

lldb::SBBlock lldb::SBBlock::GetContainingInlinedBlock | ( |  | ) |

Get the inlined block that contains this block.

Returns
  If this block is inlined, it will return this block, else parent blocks will be searched to see if any contain this block and are themselves inlined. An invalid SBBlock will be returned if this block nor any parent blocks are inlined function blocks.

bool lldb::SBBlock::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBBlock lldb::SBBlock::GetFirstChild | ( |  | ) |

uint32_t lldb::SBBlock::GetInlinedCallSiteColumn | ( |  | ) | const

lldb::SBFileSpec lldb::SBBlock::GetInlinedCallSiteFile | ( |  | ) | const

uint32_t lldb::SBBlock::GetInlinedCallSiteLine | ( |  | ) | const

const char* lldb::SBBlock::GetInlinedName | ( |  | ) | const

uint32_t lldb::SBBlock::GetNumRanges | ( |  | ) |

lldb::SBBlock lldb::SBBlock::GetParent | ( |  | ) |

lldb::SBAddress lldb::SBBlock::GetRangeEndAddress | ( | uint32_t | idx | ) |

uint32_t lldb::SBBlock::GetRangeIndexForBlockAddress | ( | lldb::SBAddress | block_addr | ) |

lldb::SBAddress lldb::SBBlock::GetRangeStartAddress | ( | uint32_t | idx | ) |

lldb::SBBlock lldb::SBBlock::GetSibling | ( |  | ) |

lldb::SBValueList lldb::SBBlock::GetVariables | ( | lldb::SBFrame & | frame,
|  | bool | arguments,
|  | bool | locals,
|  | bool | statics,
|  | lldb::DynamicValueType | use_dynamic
| ) |  |

lldb::SBValueList lldb::SBBlock::GetVariables | ( | lldb::SBTarget & | target,
|  | bool | arguments,
|  | bool | locals,
|  | bool | statics
| ) |  |

bool lldb::SBBlock::IsInlined | ( |  | ) | const

bool lldb::SBBlock::IsValid | ( |  | ) | const

const lldb::SBBlock& lldb::SBBlock::operator= | ( | const lldb::SBBlock & | rhs | ) |

## Friends And Related Function Documentation

friend class SBAddress
| friend

Definition at line 77 of file SBBlock.h.

friend class SBFrame
| friend

Definition at line 78 of file SBBlock.h.

friend class SBFunction
| friend

Definition at line 79 of file SBBlock.h.

friend class SBSymbolContext
| friend

Definition at line 80 of file SBBlock.h.

The documentation for this class was generated from the following file:

- SBBlock.h